Create recording

Transcribe an audio or video file by importing the recording to Transcript LOL.

You can import using these 2 options:

  1. A public url to the media
  2. Upload the media to Transcript using our API
POST /api/v1/spaces/{spaceId}/recordings
API key in header x-api-key

Path parameters

· 1
spaceId string required

ID of the workspace. You can find from the url in dashboard when you open the workspace or using the list workspaces endpoint.

Body

application/json

Recording options

title string required
language LanguageCode · enum required

Language of the audio/video content. This will be used for transcription.

values

  • bg
  • ca
  • zh
  • zh-CN
  • zh-Hans
  • zh-TW
translationLanguages array of LanguageCode

Optional. List of language codes to automatically create translations for this recording. Translations will be queued after transcription completes.

values

  • bg
  • ca
  • zh
  • zh-CN
  • zh-Hans
  • zh-TW
mediaType MediaType · enum required

values

  • AUDIO
  • VIDEO
source MediaSource · enum required

Please set this based on how your media content (audio/video) is being imported to Transcript:

  • FILE_UPLOAD: If you are going to upload a file
  • UNKNOWN: If none of the other values are suitable

values

  • FILE_UPLOAD
  • YOUTUBE
  • VIMEO
  • INSTAGRAM
  • X
  • FACEBOOK
sourceUrl string

Only public urls to audio / video files are acceptable.

autoDeletePolicy object

Auto deletion policy to apply to this recording. Useful if you prefer your data to be deleted automatically. If not set, no auto deletion occurs.

speakerDiarization boolean

Set this to true to enable speaker diarization - detection of speakers for each part of the transcript

Responses